import {
    getProjectInfo,
    updateProjectInfo,
} from '../../../api/project'
const app = getApp()
Page({

    /**
     * 页面的初始数据
     */
    data: {
        parDeptId: null,
        projectName: null,
        id:null,
        infoData: {},
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        let {
            id
        } = options
        this.initData(id);
        this.setData({
            id,
            parDeptId: app.globalData.userData?.parDeptId,
            parDeptName: app.globalData.userData?.parDeptName
        });
    },

    /**
     * 初始化临建项目
     * @param {*} e 
     */
    initData: function (id) {
        getProjectInfo(id).then(res => {
            if (res.code == 200) {
                this.setData({
                    infoData: res.data
                });
            }
        })
    },

    /**
     * 项目名称
     * @param {*} e 
     */
    inputProName: function (e) {
        this.setData({
            "infoData.name": e.detail.value
        });
    },

    /**
     * 项目负责人
     * @param {*} e 
     */
    inputProPerson: function (e) {
        this.setData({
            "infoData.personName": e.detail.value
        });
    },

    /**
     * 项目负责人电话
     * @param {*} e 
     */
    inputProPersonPhone: function (e) {
        this.setData({
            "infoData.personPhone": e.detail.value
        });
    },

    /**
     * 临建项目地址
     * @param {*} e 
     */
    onInputProAddress: function (e) {
        this.setData({
            "infoData.address": e.detail.value
        });
    },

    /**
     * 临建项目详情
     * @param {*} e 
     */
    onInputProInfo: function (e) {
        this.setData({
            "infoData.infos": e.detail.value
        });
    },

    returnToPage: function () {
        /*关闭当前页面，跳转到应用内的某个页面。但是不允许跳转到 tabbar 页面*/
        wx.redirectTo({
            url: '../list/index',
        })
    },

    /**
     * 提交保存数据
     */
    onEditSubmit: function () {
        let {
            id,
            parDeptId,
            infoData
        } = this.data;
        //数据效验
        if (parDeptId == null || parDeptId == "" || infoData.no == "") {
            app.toast("数据异常，请刷新页面重试!")
            return;
        }
        if (infoData.name == "") {
            app.toast("请填写临建项目名称!")
            return;
        }
        updateProjectInfo({
            id,
            no: infoData.no,
            name: infoData.name,
            deptId: infoData.deptId,
        }).then(res => {
            if (res.code == 200) {
                app.toast("修改成功!")
                setTimeout(() => {
                    wx.redirectTo({
                        url: '../list/index',
                    })
                }, 200)
            }
        });
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})